Subject: Re: bug#73387: 30.0.90; C-x v v in diff-mode doesn't work after C-c C-n

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Oct 2024 15:15:53 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 03 Oct 2024 19:36:42 +0800
> 
> > Maybe so, but I'd still would like to hear the rationale for telling
> > the user "Cannot commit patch when narrowed; consider 'widen'".  If
> > indeed we "cannot commit" in this case, signaling an error is TRT, and
> > replacing that with a message is not, because it will do what you
> > claim in the message you cannot.
> 
> Okay.  I do agree with you that the manual should state this limitation.
> This is what it says right now:
> 
>     This command does not work in a narrowed buffer because deleting
>     hunks safely requires access to the file headers.
> 
> So, the only difference from what you wrote is that it doesn't tell the
> user they *mustn't*, only that they *can't*.
> 
> I think this addresses your concern, but please let me know if not.

That's fine, but I would suggest to clarify what you mean by "file
headers".  Something like "...because deleting hunks requires access
to the part of the diffs where file names are specified."